Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Component.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Component.h	(revision 114)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Component.h	(revision 115)
@@ -25,4 +25,5 @@
 namespace behavioural          {
 
+  /*
 #ifdef DEBUG
 # define PORT_MAP(x,a,b,c,d)						\
@@ -40,4 +41,5 @@
   while (0)
 #else
+*/
 # define PORT_MAP(x,a,b,c,d)						\
   do									\
@@ -46,5 +48,5 @@
     }									\
   while (0)
-#endif
+// #endif
 
 #define COMPONENT_MAP(x,a,b,c,d)					\
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h	(revision 114)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h	(revision 115)
@@ -10,8 +10,8 @@
 #define MORPHEO_MAJOR_VERSION "0"
 #define MORPHEO_MINOR_VERSION "2"
-#define MORPHEO_REVISION      "114"
+#define MORPHEO_REVISION      "115"
 #define MORPHEO_CODENAME      "Castor"
 
-#define MORPHEO_DATE_DAY      "17"  
+#define MORPHEO_DATE_DAY      "20"  
 #define MORPHEO_DATE_MONTH    "04"
 #define MORPHEO_DATE_YEAR     "2009" 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces.cpp	(revision 114)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces.cpp	(revision 115)
@@ -39,8 +39,14 @@
 #endif
 
-    for (std::list<Interface_fifo*>::iterator it = _list_interface->begin();
-         it!=_list_interface->end();
-         ++it)
-      delete (*it);
+//     for (std::list<Interface_fifo*>::iterator it = _list_interface->begin();
+//          it!=_list_interface->end();
+//          ++it)
+//       delete (*it);
+
+    while (not _list_interface->empty())
+      {
+	delete _list_interface->front();
+	_list_interface->pop_front();
+      }
 
     delete _list_interface;
